1. Elevation v2
AirHub API
  • Introduction
  • Authentication
    • Overview
    • Get Oauth Token
      POST
  • Briefing
    • Overview
    • B4UFLY
      • What Is B4UFLY
      • The API Basics
      • Location vs Area
      • What's New in v2
      • v2
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
      • v1
        • B4UFLY Briefing By Area
        • B4UFLY Briefing By Location
  • Data
    • Positions
      • Send Positions
    • Elevation v1
      • Elevation
    • Elevation v2
      • Elevation
        POST
  • Operations
    • ASL Operations
      • List Operations
      • Create Operation
      • Get Operation
      • Delete Operation
      • Update Operation
    • LAANC SDSP
      • Overview
      • LAANC Operations
        • Get Operation
        • Delete Operation
        • Create Operation
        • Update Operation
      • LAANC Authorizations
        • Rescinded and Invalid Operations
        • Submit Authorization
        • Get Authorization
        • Cancel Authorization
        • Cancel Invalid Authorization
        • Close Authorization
        • Acknowledge Rescinded Authorization
    • Ephemeral Operations
      • Create Ephemeral Operations
      • Get Ephemeral Operation
      • Delete Ephemeral Operation
      • Claim Ephemeral Operation
  • Surface, Risk, and Routing
    • Overview
    • Surface Layers
      • Get Surface Layer Access
    • Risk and Routing
      • Classify Risk
      • Generate Route
      • Surface Hexbin
  • Vector Tiles
    • Overview
AirHub® Portal (Sandbox)
  1. Elevation v2

Elevation

Sandbox
https://airhub-api-sandbox.airspacelink.com
Sandbox
https://airhub-api-sandbox.airspacelink.com
POST
/v2/elevation
Last modified:2026-03-06 20:46:30
Get elevation.

Request

Authorization
Body Params application/jsonRequired

Example
{
    "units_in": "m",
    "units_out": "ft",
    "transformation": "AGL_TO_ALTITUDE",
    "geometry": {
        "type": "Point",
        "coordinates": [
            -81.5,
            38.5,
            100
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://airhub-api-sandbox.airspacelink.com/v2/elevation' \
--header 'Content-Type: application/json' \
--data-raw '{
    "units_in": "m",
    "units_out": "ft",
    "transformation": "AGL_TO_ALTITUDE",
    "geometry": {
        "type": "Point",
        "coordinates": [
            -81.5,
            38.5,
            100
        ]
    }
}'

Responses

🟢200
application/json
Request fulfilled, document follows
Body

Example
{
    "statusCode": 0,
    "message": "string",
    "data": {
        "type": "string",
        "features": [
            {
                "id": "string",
                "type": "string",
                "properties": {
                    "property1": "string",
                    "property2": "string"
                },
                "geometry": {
                    "type": "string",
                    "coordinates": [
                        [
                            0
                        ]
                    ]
                }
            }
        ]
    }
}
🟠400
🔴500
Modified at 2026-03-06 20:46:30
Previous
Elevation
Next
List Operations
Built with